Get all customer rewards

Get information about all customer rewards.

Rewards are incentives available to customers as part of the loyalty program. This endpoint returns all rewards associated with the customer account. Use is_valid, valid_from, and valid_to to filter by validity status and date range.

Related: GET /rewards

⚠️ There is the logical AND between query parameters is_valid, valid_from and valid to.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique ID of the customer.

Query Params
integer
≥ 1
Defaults to 100

The number of records to return in API response.

⚠️ We recommended adjust the batch size based on processing time. Depending on the response time of the request. Default value of 100 records is used if count parameter is not set.

integer
≥ 0
Defaults to 0

The number of records from a collection to skip. Default value of 0 is used when parameter offset is not set.

string

Name of the sorting parameter. You can sort by any of the first level parameters from the resource response. Response is sorted by the specified field.

string
enum

Direction of sorting the response list.

Allowed:
string

Search record by name or a part of the name.

string

The unique ID of the store where customer can apply the reward.

boolean
enum

in validity range - true / before or after validity range - false / no value - all

Allowed:
string

Start of the validity period for filtering in ISO-8601 format (YYYY-MM-DD).

string

End of the validity period for filtering in ISO-8601 format (YYYY-MM-DD).

string

Code of the reward.

boolean
enum

Filter of the automated rewards.
Possible values: true - returns all automated rewards / false - returns all non automated rewards / no value - all rewards(filter is not applied)

Allowed:
integer
enum

The unique ID of the reward group.
Possible values: 0 - cash desk reward (party time reward) / 1 - catalog reward / 2 - campaign reward / 4 - simple reward / 5 - gift reward (Multi Purpose Reward)

Allowed:
customer_type_id
array of strings

Select by list of customer types from customer-types resource. The list of values is available at GET /customer-types.
Logic OR is used between values.

customer_type_id
boolean
enum

If true or not set, the data will not contain information about business units (stores). If false resource returns full structure with stores.

Allowed:
tag_ids
array of strings

Parameter filters values by a list of tag IDs. Logic OR is used between values.

In case you want to filter multiple options use array syntax : tag_ids[]=8bc8ca16f9c5039951021700a2&tag_ids[]=82c06812c0756528660784fef

tag_ids
Headers
string
Defaults to cs, en-gb;q=0.8

The unique ID of the language code by ISO 639-1.

Responses

429

Too many requests - more than the resource limit.

503

Temporary state when the service is temporarily unavailable, overloaded or there is a maintenance window.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json